{
  "schema_version": "1.4.0",
  "id": "GHSA-hvcx-6rqp-7fpg",
  "modified": "2025-04-03T04:30:31Z",
  "published": "2022-05-01T06:53:14Z",
  "aliases": [
    "CVE-2006-1834"
  ],
  "details": "Integer signedness error in Opera before 8.54 allows remote attackers to execute arbitrary code via long values in a stylesheet attribute, which pass a length check.  NOTE: a sign extension problem makes the attack easier with shorter strings.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-1834"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/25829"
    },
    {
      "type": "WEB",
      "url": "http://lists.suse.com/archive/suse-security-announce/2006-May/0004.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=full-disclosure&m=114493114031891&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20117"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200606-01.xml"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1015912"
    },
    {
      "type": "WEB",
      "url": "http://www.opera.com/docs/changelogs/windows/854"
    },
    {
      "type": "WEB",
      "url": "http://www.sec-consult.com/259.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/430876/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/17513"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/1354"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-04-19T16:06:00Z"
  }
}